Package org.eclipse.emf.cdo.transaction

# Interface CDORollbackable

All Known Subinterfaces:
  `CDOFileTransaction`, `CDONestedTransaction`, `CDOSavepoint`, `CDOTransaction`, `CDOTransactionScope`, `CDOUserSavepoint`, `CDOUserTransaction`, `CDOXASavepoint`, `CDOXATransaction`, `DelegatingCDOTransaction`, `InternalCDOSavepoint`, `InternalCDOTransaction`, `InternalCDOUserSavepoint`, `InternalCDOUserTransaction`, `InternalCDOXASavepoint`, `InternalCDOXATransaction`

All Known Implementing Classes:
  `CDOPushTransaction`

public interface CDORollbackable
A participant whose locally accumulated changes can be rolled back.

Since:
  4.30
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`rollback()`
Rolls back local changes.

## Method Details

### rollback

void rollback()
Rolls back local changes.